All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
handle.hpp File Reference

Extracts the underlying OpenCL handle from a vector, a matrix, an expression etc. More...

`#include <string>`
`#include <fstream>`
`#include <sstream>`
`#include "viennacl/forwards.h"`
`#include "viennacl/backend/mem_handle.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::traits
| Namespace providing traits-information as well as generic wrappers to common routines for vectors and matrices such as size() or clear()

## Functions

template<typename T >
viennacl::backend::mem_handle & | viennacl::traits::handle (T &obj)
| Returns the generic memory handle of an object. Non-const version. More...
template<typename T >
viennacl::backend::mem_handle const & | viennacl::traits::handle (T const &obj)
| Returns the generic memory handle of an object. Const-version. More...
template<typename T >
viennacl::backend::mem_handle::ram_handle_type & | viennacl::traits::ram_handle (T &obj)
| Generic helper routine for extracting the RAM handle of a ViennaCL object. Non-const version. More...
template<typename T >
viennacl::backend::mem_handle::ram_handle_type const & | viennacl::traits::ram_handle (T const &obj)
| Generic helper routine for extracting the RAM handle of a ViennaCL object. Const version. More...
template<typename T >
viennacl::memory_types | viennacl::traits::active_handle_id (T const &obj)
| Returns an ID for the currently active memory domain of an object. More...

## Detailed Description

Extracts the underlying OpenCL handle from a vector, a matrix, an expression etc.

Definition in file handle.hpp.